corda / net.corda.client.jfx.model / TrackedDelegate / ObservableValueDelegate

# ObservableValueDelegate

`class ObservableValueDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `ObservableValueDelegate(klass: KClass<M>, observableValueProperty: (M) -> ObservableValue<T>)`

### Properties

observableValueProperty | `val observableValueProperty: (M) -> ObservableValue<T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): ObservableValue<T>`